/* DO NOT EDIT THIS FILE */
/* This file is autogenerated by the text-database code generator */

#include <fonts/ApplicationFontProvider.hpp>
#include <touchgfx/InternalFlashFont.hpp>

#ifndef NO_USING_NAMESPACE_TOUCHGFX
using namespace touchgfx;
#endif

extern touchgfx::InternalFlashFont& getFont_Asap_Regular_14_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_12_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_ipaexg_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_ipaexg_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_NotoSans_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_NotoSans_Regular_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_14_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_24_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_18_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_46_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_16_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_14_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_14_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_14_4bpp();

touchgfx::Font* ApplicationFontProvider::getFont(touchgfx::FontId fontId)
{
  switch(fontId)
  {
    
    case Typography::DEMOVIEW_MCULOAD_TEXT:
      return &(getFont_Asap_Regular_14_4bpp());
    
    case Typography::DEMOVIEW_MCULOAD_TEXT_TINY:
      return &(getFont_Asap_Regular_12_4bpp());
    
    case Typography::GAME_2048_TEXT:
      return &(getFont_Asap_Regular_20_4bpp());
    
    case Typography::GAME_2048_MCU_LOAD:
      return &(getFont_Asap_Regular_13_4bpp());
    
    case Typography::POSTERTEXT:
      return &(getFont_Asap_Regular_13_4bpp());
    
    case Typography::POSTERHEADLINE:
      return &(getFont_Asap_Regular_22_4bpp());
    
    case Typography::POSTERTEXTJAPANESE:
      return &(getFont_ipaexg_13_4bpp());
    
    case Typography::POSTERHEADLINEJAPANESE:
      return &(getFont_ipaexg_22_4bpp());
    
    case Typography::POSTERTEXTUKR:
      return &(getFont_NotoSans_Regular_13_4bpp());
    
    case Typography::POSTERHEADLINEUKR:
      return &(getFont_NotoSans_Regular_22_4bpp());
    
    case Typography::THREEWAYPROGRESSBARPERCENTAGE:
      return &(getFont_Asap_Bold_otf_14_4bpp());
    
    case Typography::THREEWAYPROGRESSBARBUTTON:
      return &(getFont_Asap_Bold_otf_24_4bpp());
    
    case Typography::CUSTOMCONTROLSSTATUS:
      return &(getFont_Asap_Regular_18_4bpp());
    
    case Typography::PERCENTAGEBARREADOUT:
      return &(getFont_Asap_Bold_otf_46_4bpp());
    
    case Typography::PERCENTAGEBARHEADLINE:
      return &(getFont_Asap_Regular_16_4bpp());
    
    case Typography::DATEPICKER:
      return &(getFont_Asap_Bold_otf_20_4bpp());
    
    case Typography::CAROUSELHEADLINE:
      return &(getFont_Asap_Regular_20_4bpp());
    
    case Typography::CAROUSELTEXT:
      return &(getFont_Asap_Regular_13_4bpp());
    
    case Typography::ANIMATINGBUTTONSTEXT:
      return &(getFont_Asap_Regular_13_4bpp());
    
    case Typography::GAME_2D_TEXT:
      return &(getFont_Asap_Regular_13_4bpp());
    
    case Typography::GAME_2D_SCORE:
      return &(getFont_Asap_Regular_22_4bpp());
    
    case Typography::GRAPH_Y_VALUE:
      return &(getFont_Asap_Regular_14_4bpp());
    
    case Typography::GRAPH_LEGEND:
      return &(getFont_Asap_Regular_14_4bpp());
    
    case Typography::GRAPH_LEGEND_VALUE:
      return &(getFont_Asap_Bold_otf_14_4bpp());
    
    default:
      return 0;
  }
}
